Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 786882 - media-video/vdr-2.4.6-r1 - channels.c: error: max was not declared in this scope (maybe gcc-11 related)
Summary: media-video/vdr-2.4.6-r1 - channels.c: error: max was not declared in this sc...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Joerg Bornkessel
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-11
  Show dependency tree
 
Reported: 2021-04-29 16:24 UTC by Toralf Förster
Modified: 2021-09-19 16:48 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.57 KB, text/plain)
2021-04-29 16:25 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,80.45 KB, text/plain)
2021-04-29 16:25 UTC, Toralf Förster
Details
environment (environment,76.04 KB, text/plain)
2021-04-29 16:25 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,18.70 KB, application/x-bzip)
2021-04-29 16:25 UTC, Toralf Förster
Details
media-video:vdr-2.4.6-r1:20210429-154239.log (media-video:vdr-2.4.6-r1:20210429-154239.log,4.22 KB, text/plain)
2021-04-29 16:25 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,20.18 KB, application/x-bzip)
2021-04-29 16:25 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2021-04-29 16:24:59 UTC
CC channels.o
channels.c: In static member function ‘static int cChannels::MaxChannelNameLength()’:
channels.c:1068:36: error: ‘max’ was not declared in this scope; did you mean ‘std::max’?
 1068 |             maxChannelNameLength = max(Utf8StrLen(Channel->Name()), maxChannelNameLength);
      |                                    ^~~
      |                                    std::max
In file included from /usr/lib/gcc/x86_64-pc-linux-gnu/11.1.0/include/g++-v11/bits/specfun.h:45,

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib_hardened-20210427-181545

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-11.1.0 *
clang version 12.0.0
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/12/bin
/usr/lib/llvm/12
12.0.0
Python 3.8.9
Available Ruby profiles:
  [1]   ruby26 (with Rubygems)
  [2]   ruby30 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.51.0
  [2]   rust-1.51.0 *
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.292_p10 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.10.4

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Wed Apr 28 23:50:13 UTC 2021

emerge -qpvO media-video/vdr
[ebuild  N    ] media-video/vdr-2.4.6-r1  USE="-bidi -debug -demoplugins -html -keyboard -mainmenuhooks -menuorg -naludump -permashift -pinplugin -systemd -ttxtsubs -verbose"
Comment 1 Toralf Förster gentoo-dev 2021-04-29 16:25:00 UTC
Created attachment 703995 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-04-29 16:25:01 UTC
Created attachment 703998 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2021-04-29 16:25:03 UTC
Created attachment 704001 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2021-04-29 16:25:04 UTC
Created attachment 704004 [details]
etc.portage.tar.bz2
Comment 5 Toralf Förster gentoo-dev 2021-04-29 16:25:05 UTC
Created attachment 704007 [details]
media-video:vdr-2.4.6-r1:20210429-154239.log
Comment 6 Toralf Förster gentoo-dev 2021-04-29 16:25:06 UTC
Created attachment 704010 [details]
temp.tar.bz2
Comment 7 Larry the Git Cow gentoo-dev 2021-05-02 20:33:37 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=862ca1738ccf75e258934ba641d4bdb98f0d2a44

commit 862ca1738ccf75e258934ba641d4bdb98f0d2a44
Author:     Joerg Bornkessel <hd_brummy@gentoo.org>
AuthorDate: 2021-05-02 20:32:52 +0000
Commit:     Joerg Bornkessel <hd_brummy@gentoo.org>
CommitDate: 2021-05-02 20:33:23 +0000

    media-video/vdr: version bump
    
    in this bump is also the gcc11 compile error
    fixed by patch
    we skip here vdr-2.4.6 and go straid to vdr-2.4.7
    
    Closes: https://bugs.gentoo.org/786882
    Package-Manager: Portage-3.0.18, Repoman-3.0.2
    Signed-off-by: Joerg Bornkessel <hd_brummy@gentoo.org>

 media-video/vdr/Manifest                    |   1 +
 media-video/vdr/files/vdr-2.4.7_gcc11.patch | 292 ++++++++++++++++++++++++++++
 media-video/vdr/vdr-2.4.7.ebuild            | 209 ++++++++++++++++++++
 3 files changed, 502 insertions(+)
Comment 8 Larry the Git Cow gentoo-dev 2021-05-06 08:47:00 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=124a95a62c264394f08d70dc0eb66db06b8c9d04

commit 124a95a62c264394f08d70dc0eb66db06b8c9d04
Author:     Martin Dummer <martin.dummer@gmx.net>
AuthorDate: 2021-05-05 22:31:44 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2021-05-06 08:46:42 +0000

    media-video/vdr: add gcc-11 compile fix
    
    vdr defines std:: functions "min" "max" and "swap" as Template, which
    collides with gcc-11. Add a patch from upstream which fixes this, and fixes
    also compile problems with all media-video/vdr-* plugins using this
    functions, too
    
    Closes: https://bugs.gentoo.org/786882
    Closes: https://bugs.gentoo.org/787389
    Closes: https://bugs.gentoo.org/787236
    Closes: https://bugs.gentoo.org/787140
    Closes: https://bugs.gentoo.org/786801
    Closes: https://bugs.gentoo.org/786795
    Closes: https://bugs.gentoo.org/786672
    Closes: https://bugs.gentoo.org/786285
    Closes: https://bugs.gentoo.org/786258
    Closes: https://bugs.gentoo.org/788583
    Package-Manager: Portage-3.0.17, Repoman-3.0.2
    Signed-off-by: Martin Dummer <martin.dummer@gmx.net>
    Closes: https://github.com/gentoo/gentoo/pull/20695
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 media-video/vdr/files/vdr-2.2.0_gcc11.patch        |  29 ++
 media-video/vdr/files/vdr-2.4.7_gcc11.patch        | 314 ++-------------------
 media-video/vdr/vdr-2.2.0-r7.ebuild                | 302 ++++++++++++++++++++
 .../vdr/{vdr-2.4.7.ebuild => vdr-2.4.7-r1.ebuild}  |   8 +-
 4 files changed, 359 insertions(+), 294 deletions(-)
Comment 9 Larry the Git Cow gentoo-dev 2021-09-19 16:48:14 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=403ed3788d2d1f0681a65ae2b19ef8276f775169

commit 403ed3788d2d1f0681a65ae2b19ef8276f775169
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2021-09-19 16:45:49 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2021-09-19 16:47:59 +0000

    media-video/vdr: Remove old
    
    Bug: https://bugs.gentoo.org/786882
    Package-Manager: Portage-3.0.20, Repoman-3.0.3
    Signed-off-by: Andreas K. Huettel <dilfridge@gentoo.org>

 media-video/vdr/Manifest            |   5 -
 media-video/vdr/vdr-2.4.1-r3.ebuild | 206 ------------------------------------
 media-video/vdr/vdr-2.4.6-r1.ebuild | 206 ------------------------------------
 3 files changed, 417 deletions(-)